from spack import *


class PyLfpy(PythonPackage):
    """A Python package for calculating extracellular electric and magnetic
    signals of neural activity from multicompartment neuron models.
    """

    homepage = 'https://LFPy.readthedocs.io'
    pypi = "LFPy/LFPy-2.2.3.tar.gz"
    git = 'https://github.com/LFPy/LFPy.git'

    maintainers = ['espenhgn']

    version('2.2.3', sha256='fc0a3b784621d27cffabe4b6bcc13724f338c1dd')

    depends_on('python@3.6:', type=('build', 'run'))
    depends_on('py-pip', type='build')
    depends_on('py-h5py', type=('build', 'run'))
    depends_on('py-matplotlib', type=('build', 'run'))
    depends_on('py-mpi4py', type=('build', 'run'))
    depends_on('py-numpy', type=('build', 'run'))
    depends_on('py-scipy', type=('build', 'run'))
    depends_on('py-setuptools', type=('build', 'run'))
    depends_on('py-cython', type=('build', 'run'))
    depends_on('neuron@7.7.2:', type=('build', 'run'))
    depends_on('py-lfpykit@0.3:', type=('build', 'run'))
    depends_on('py-pytest', type='test')
